# 레이아웃 구성 규칙 조회

## Request

## 메시지 상품별 레이아웃 구성 규칙을 조회합니다.<br>

> 메시지 상품별 레이아웃 구성 규칙을 조회합니다.  \
> 본 규칙에 부합해야만 레이아웃 등록/수정이 가능합니다.  \
> \
> &#x20; \+ \*\*계정 권한: 대행사\*\*<br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}}},"paths":{"/baselayout/product/rule":{"get":{"summary":"메시지 상품별 레이아웃 구성 규칙을 조회합니다.\n","description":"메시지 상품별 레이아웃 구성 규칙을 조회합니다.  \n본 규칙에 부합해야만 레이아웃 등록/수정이 가능합니다.  \n\n  + **계정 권한: 대행사**\n","responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="118">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>상품별 레이아웃 구성 규칙 정보</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="210">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="118">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>productCode</code></strong></td><td>string</td><td align="center">20</td><td align="center"></td><td></td><td><p>레이아웃 사용이 가능한 메시지 상품 코드 입니다.</p><ul><li>sms</li><li>lms</li><li>mms</li></ul></td></tr><tr><td><strong><code>componentCount</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>레이아웃 정의 시 지정 가능한 최대 컴포넌트 개수 입니다.</td></tr><tr><td><strong><code>componentMinCount</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>레이아웃 정의 시 필요한 최소 컴포넌트 개수 입니다.</td></tr><tr><td><strong><code>buttonCount</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>레이아웃 정의 시 지정 가능한 버튼 컴포넌트 개수 입니다.</td></tr><tr><td><a href="#componentlimit-object"><mark style="color:blue;"><strong><code>componentLimit</code></strong></mark></a></td><td>object</td><td align="center"></td><td align="center"></td><td></td><td>현재 제공되는 컴포넌트 그룹ID 별 레이아웃 내 설정 가능한 컴포넌트 그룹의 지정 가능 개수를 표시합니다.</td></tr></tbody></table>

### <mark style="color:blue;">componentLimit</mark> - object

<table data-full-width="true"><thead><tr><th width="210">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="118">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>ImageGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>이미지를  표시할 수 있는 컴포넌트 그룹입니다.</td></tr><tr><td><strong><code>TitleGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>제목을 표시할 수 있는 컴포넌트 그룹입니다.</td></tr><tr><td><strong><code>BannerGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>배너형태의 이미지를 표시할 수 있는 컴포넌트 그룹입니다.</td></tr><tr><td><strong><code>DescriptionGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>일반적인 내용을 표시할 수 있는 컴포넌트 그룹입니다.</td></tr><tr><td><strong><code>ItemGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>작은 아이콘형태 이미지와 소제목을 표시할 수 있는 컴포넌트 그룹입니다.</td></tr><tr><td><strong><code>ThumbDescGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>작은 이미지와 설명을 표시할 수 있는 컴포넌트 그룹입니다.</td></tr><tr><td><strong><code>TableGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>표 형식으로 내용을 표시할 수 있는 컴포넌트 그룹입니다.</td></tr><tr><td><strong><code>ThumbnailGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>작은 아이콘형태 이미지와 소제목을 표시할 수 있는 컴포넌트 그룹입니다.</td></tr><tr><td><strong><code>NoticeGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>특정 용도의 내용을 표시할 수 있는 컴포넌트 그룹입니다.</td></tr><tr><td><strong><code>ButtonGroup</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>버튼을 표시할 수 있는 컴포넌트 그룹입니다.</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "productCode": "sms",
            "componentMinCount": 1,
            "componentCount": 2,
            "buttonCount": 1,
            "componentLimit": {
                "ItemGroup": 1,
                "TableGroup": 1,
                "ButtonGroup": 1,
                "DescriptionGroup": 1,
                "TitleGroup": 1
            }
        },
        {
            "productCode": "lms",
            "componentMinCount": 1,
            "componentCount": 6,
            "buttonCount": 3,
            "componentLimit": {
                "ItemGroup": 1,
                "NoticeGroup": 1,
                "TableGroup": 2,
                "ButtonGroup": 3,
                "DescriptionGroup": 3,
                "TitleGroup": 1
            }
        },
        {
            "productCode": "mms",
            "componentMinCount": 1,
            "componentCount": 6,
            "buttonCount": 3,
            "componentLimit": {
                "ItemGroup": 1,
                "NoticeGroup": 1,
                "TableGroup": 1,
                "ThumbnailGroup": 1,
                "ButtonGroup": 3,
                "ThumbDescGroup": 1,
                "DescriptionGroup": 1,
                "ImageGroup": 1,
                "TitleGroup": 1,
                "BannerGroup": 1
            }
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/layout/get_product_rule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
